from dataclasses import dataclass, field


@dataclass
class MarkdownConfig:
    image_labels: bool = True


@dataclass
class ThemeConfig:
    name: str = "default"
    syntax_highlighting: bool = True


@dataclass
class BuildConfig:
    clean_output_dir: bool = True
    include_drafts: bool = False


@dataclass
class ZonaConfig:
    title: str = "Zona Blog"
    base_url: str = "https://example.com"
    language: str = "en"
    markdown: MarkdownConfig = field(default_factory=MarkdownConfig)
    theme: ThemeConfig = field(default_factory=ThemeConfig)
    build: BuildConfig = field(default_factory=BuildConfig)
